;; 
;; speechd-el setup
;;

(debian-pkg-add-load-path-item
 (concat "/usr/share/" (symbol-name debian-emacs-flavor) "/site-lisp/speechd-el"))


(autoload (quote speechd-open) "speechd" "\
Open connection to Speech Dispatcher running on the given host and port.
If the connection corresponding to the current `speechd-client-name' value
already exists, close it and reopen again, with the same connection parameters.

The optional arguments HOST and PORT identify the speechd server location
differing from the values of `speechd-host' and `speechd-port', see
`open-network-stream' for closer description of those arguments.

If the key argument QUIET is non-nil, don't report failures and quit silently.
If the key argument FORCE-REOPEN is non-nil, try to reopen an existent
connection even if it previously failed.

Return the opened connection on success, nil otherwise." t nil)

(autoload (quote speechd-say-text) "speechd" "\
Speak the given TEXT, represented by a string.
The key argument `priority' defines the priority of the message and must be one
of the symbols `important', `message', `text', `notification' or
`progress'.
If the key argument `finish' is t, TEXT completes the message -- the next
invocation of this function will start a new text message to speechd.
Otherwise the message leaves open and the next invocation this function will
append the next text to it.  Regardless of the FINISH value, the function
initiates sending text data to speechd immediately." t nil)

(autoload (quote speechd-cancel) "speechd" "\
Stop speaking all the messages sent through the current client so far.
If the optional argument ALL is non-nil, stop speaking messages of all
clients." t nil)

(autoload (quote speechd-stop) "speechd" "\
Stop speaking the currently spoken message (if any) of this client.
If the optional argument ALL is non-nil, stop speaking the currently spoken
messages of all clients." t nil)

(autoload (quote speechd-pause) "speechd" "\
Pause speaking in the current client.
If the optional argument ALL is non-nil, pause speaking in all clients." t nil)

(autoload (quote speechd-resume) "speechd" "\
Resume previously stopped speaking in the current client.
If the optional argument ALL is non-nil, resume speaking messages of all
clients." t nil)

(autoload (quote speechd-repeat) "speechd" "\
Repeat the last message sent to speechd." t nil)



(autoload (quote speechd-speak-mode) "speechd-speak" "\
Toggle speaking, the speechd-speak mode.
With no argument, this command toggles the mode.
Non-null prefix argument turns on the mode.
Null prefix argument turns off the mode.
     
When speechd-speak mode is enabled, speech output is provided to Speech
Dispatcher on many actions.

The following key bindings are offered by speechd-speak mode, prefixed with
the value of the `speechd-speak-prefix' variable:

\\{speechd-speak-mode-map}
" t nil)

(defvar global-speechd-speak-mode nil "\
Non-nil if Global-Speechd-Speak mode is enabled.
See the command `global-speechd-speak-mode' for a description of this minor-mode.
Setting this variable directly does not take effect;
use either \\[customize] or the function `global-speechd-speak-mode'.")

(custom-add-to-group (quote speechd-speak) (quote global-speechd-speak-mode) (quote custom-variable))

(custom-add-load (quote global-speechd-speak-mode) (quote speechd-speak))

(autoload (quote global-speechd-speak-mode) "speechd-speak" "\
Toggle Speechd-Speak mode in every buffer.
With prefix ARG, turn Global-Speechd-Speak mode on if and only if ARG is positive.
Speechd-Speak mode is actually not turned on in every buffer but only in those
in which `(lambda nil (speechd-speak-mode 1))' turns it on." t nil)

(autoload (quote speechd-speak) "speechd-speak" "\
Start or restart speaking.
With a prefix argument, close all open connections first." t nil)



(autoload (quote speechd-bug) "speechd-bug" "\
Send a bug report on speechd-el or Speech Dispatcher." t nil)
